module MirrorMirror::Transformation
  class DirectionalProperty < PropertyTransformation
    def transform_name?(name)
      name =~ /left|right/
    end

    def transform_name(name)
      name =~ /^(.*)(left|right)(.*)$/
      "#{$1}#{$2 == "left" ? "right" : "left"}#{$3}"
    end
  end
end

