module MirrorMirror::Transformation
  class TextAlign < PropertyTransformation
    def transform_value?(name)
      name == "text-align"
    end

    def transform_value(name, value)
      case value
      when "left"
        "right"
      when "right"
        "left"
      else
        value
      end
    end
  end
end

