module MirrorMirror::Transformation
  class Cursor < PropertyTransformation
    def transform_value?(name)
      name == "cursor"
    end

    def transform_value(name, value)
      if value =~ /(n|s)?(e|w)-resize/
        "#{$1}#{$2 == "e" ? "w" : "e"}-resize"
      else
        value
      end
    end
  end
end


