module MirrorMirror::Transformation
  class Direction < PropertyTransformation
    def transform_value?(name)
      name == "direction"
    end

    def transform_value(name, value)
      case value
      when "ltr"
        "rtl"
      when "rtl"
        "ltr"
      else
        value
      end
    end
  end
end
