module MirrorMirror::Transformation
  class Float < PropertyTransformation
    def transform_value?(name)
      name == "float" || name == "clear"
    end

    def transform_value(name, value)
      case value
      when "left"
        "right"
      when "right"
        "left"
      else
        value
      end
    end
  end
end
